Package org.apache.sysds.utils

# Class Statistics.NGramStats

java.lang.Object
org.apache.sysds.utils.Statistics.NGramStats

Enclosing class:
  Statistics

public static class Statistics.NGramStats extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final long`
`cumTimeNanos`
`final double`
`m2`
`final HashMap<String,Double>`
`meta`
`final long`
`n`

## Constructor Summary

Constructors
Constructor
Description
`NGramStats(long n, long cumTimeNanos, double m2, HashMap<String,Double> meta)`

## Method Summary

Modifier and Type
Method
Description
`static <T> Comparator<NGramBuilder.NGramEntry<T,Statistics.NGramStats>>`
`getComparator()`
`HashMap<String,Double>`
`getMeta()`
`double`
`getTimeVariance()`
`static Statistics.NGramStats`
`merge(Statistics.NGramStats stats1, Statistics.NGramStats stats2)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### n

public final long n

### cumTimeNanos

public final long cumTimeNanos

### m2

public final double m2

### meta

public final HashMap<String,Double> meta

## Constructor Details

### NGramStats

public NGramStats(long n, long cumTimeNanos, double m2, HashMap<String,Double> meta)

## Method Details

### getComparator

public static <T> Comparator<NGramBuilder.NGramEntry<T,Statistics.NGramStats>> getComparator()

### merge

public static Statistics.NGramStats merge(Statistics.NGramStats stats1, Statistics.NGramStats stats2)

### getTimeVariance

public double getTimeVariance()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getMeta

public HashMap<String,Double> getMeta()